Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QTabletEvent

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QTabletEvent class reference

### Public Functions

- QTabletEvent ( const QPoint & pos, const QPoint & globalPos, int device, int pressure, int xTilt, int yTilt, const QPair<int, int> & uId ) `(obsolete)`

## Member Function Documentation

### QTabletEvent::QTabletEvent ( const QPoint & pos, const QPoint & globalPos, int device, int pressure, int xTilt, int yTilt, const QPair<int, int> & uId )

Constructs a tablet event object. The position when the event occurred is is given in pos and globalPos. device contains the device type, pressure contains the pressure exerted on the device, xTilt and yTilt contain the device's degrees of tilt from the x and y axis respectively. The uId contains an event id.

On Irix, globalPos will contain the high-resolution coordinates received from the tablet device driver, instead of from the windowing system.

See also pos(), globalPos(), device(), pressure(), xTilt(), yTilt(), and uniqueId().